[
  {
    "model": "se.crawlpolicy",
    "pk": 39,
    "fields": {
      "url_regex": "(default)",
      "url_regex_pg": ".*",
      "enabled": true,
      "recursion": "depth",
      "mimetype_regex": ".*",
      "recursion_depth": 0,
      "keep_params": true,
      "hide_documents": false,
      "default_browse_mode": "detect",
      "snapshot_html": true,
      "snapshot_exclude_url_re": "",
      "snapshot_exclude_mime_re": "",
      "snapshot_exclude_element_re": "",
      "thumbnail_mode": "preview",
      "take_screenshots": false,
      "screenshot_format": "jpg",
      "remove_nav_elements": "idx",
      "script": "",
      "store_extern_links": false,
      "recrawl_freq": "adaptive",
      "recrawl_dt_min": "1 00:00:00",
      "recrawl_dt_max": "365 00:00:00",
      "hash_mode": "no_numbers",
      "recrawl_condition": "manual",
      "auth_login_url_re": "",
      "auth_form_selector": "",
      "tags": [],
      "webhooks": []
    }
  },
  {
    "model": "se.crawlpolicy",
    "pk": 44,
    "fields": {
      "url_regex": "https://demo.spreecommerce.org/products/.*glasses",
      "url_regex_pg": "https://demo.spreecommerce.org/products/.*glasses",
      "enabled": true,
      "recursion": "never",
      "mimetype_regex": ".*",
      "recursion_depth": 0,
      "keep_params": true,
      "hide_documents": false,
      "default_browse_mode": "firefox",
      "snapshot_html": false,
      "snapshot_exclude_url_re": "",
      "snapshot_exclude_mime_re": "",
      "snapshot_exclude_element_re": "",
      "thumbnail_mode": "preview",
      "take_screenshots": true,
      "screenshot_format": "jpg",
      "remove_nav_elements": "idx",
      "script": "const detailsText = document.getElementById('product-details-page');\r\nconst text = detailsText.innerHTML;\r\nreturn {metadata: {productDetails: text}};",
      "store_extern_links": false,
      "recrawl_freq": "none",
      "recrawl_dt_min": null,
      "recrawl_dt_max": null,
      "hash_mode": "no_numbers",
      "recrawl_condition": "manual",
      "auth_login_url_re": "",
      "auth_form_selector": "",
      "tags": [],
      "webhooks": [
        10
      ]
    }
  },
  {
    "model": "se.favicon",
    "pk": 238,
    "fields": {
      "url": "https://demo.spreecommerce.org/favicon.ico",
      "content": "[encoded data, 6708 characters]",
      "mimetype": "image/vnd.microsoft.icon",
      "missing": false
    }
  },
  {
    "model": "se.link",
    "pk": 732,
    "fields": {
      "doc_from": 16974,
      "doc_to": 16972,
      "text": "Sale Gold-Framed Glasses Regular price $74.99 Sale price $54.99",
      "pos": 757,
      "link_no": 0,
      "extern_url": null,
      "screen_pos": "300,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.link",
    "pk": 733,
    "fields": {
      "doc_from": 16974,
      "doc_to": 16973,
      "text": "Horned Glasses Regular price $44.99",
      "pos": 858,
      "link_no": 1,
      "extern_url": null,
      "screen_pos": "636,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.link",
    "pk": 734,
    "fields": {
      "doc_from": 16972,
      "doc_to": 16973,
      "text": "Horned Glasses Regular price $44.99",
      "pos": 772,
      "link_no": 0,
      "extern_url": null,
      "screen_pos": "300,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.link",
    "pk": 735,
    "fields": {
      "doc_from": 16972,
      "doc_to": 16974,
      "text": "Sale Rimmed Glasses Regular price $74.99 Sale price $54.99",
      "pos": 845,
      "link_no": 1,
      "extern_url": null,
      "screen_pos": "636,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.link",
    "pk": 736,
    "fields": {
      "doc_from": 16973,
      "doc_to": 16972,
      "text": "Sale Gold-Framed Glasses Regular price $74.99 Sale price $54.99",
      "pos": 711,
      "link_no": 0,
      "extern_url": null,
      "screen_pos": "300,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.link",
    "pk": 737,
    "fields": {
      "doc_from": 16973,
      "doc_to": 16974,
      "text": "Sale Rimmed Glasses Regular price $74.99 Sale price $54.99",
      "pos": 812,
      "link_no": 1,
      "extern_url": null,
      "screen_pos": "636,1062,312,380",
      "in_nav": false
    }
  },
  {
    "model": "se.tag",
    "pk": 445,
    "fields": {
      "path": "0008",
      "depth": 1,
      "numchild": 0,
      "name": "Discount"
    }
  },
  {
    "model": "se.tag",
    "pk": 446,
    "fields": {
      "path": "0006",
      "depth": 1,
      "numchild": 0,
      "name": "Alert"
    }
  },
  {
    "model": "se.tag",
    "pk": 447,
    "fields": {
      "path": "000E",
      "depth": 1,
      "numchild": 0,
      "name": "Limited-Time"
    }
  },
  {
    "model": "se.tag",
    "pk": 448,
    "fields": {
      "path": "000C",
      "depth": 1,
      "numchild": 0,
      "name": "Free-Shipping"
    }
  },
  {
    "model": "se.tag",
    "pk": 449,
    "fields": {
      "path": "000A",
      "depth": 1,
      "numchild": 0,
      "name": "Flash-Sale"
    }
  },
  {
    "model": "se.webhook",
    "pk": 10,
    "fields": {
      "name": "Generate Tags",
      "enabled": true,
      "trigger_condition": "manual",
      "updates_doc": true,
      "update_json_path": "choices.0.message.content",
      "update_json_deserialize": true,
      "url": "https://api.openai.com/v1/chat/completions",
      "method": "post",
      "username": "",
      "password": "",
      "headers": "Authorization: Bearer sk-proj-j04Va_******************************************************************************************************************************************************",
      "body_template": "{\r\n  \"model\": \"gpt-4.1\",\r\n  \"messages\": [\r\n    {\r\n      \"role\": \"system\",\r\n      \"content\": \"You are an assistant who extracts promotional and commercial tags from a given text.\"\r\n    },\r\n    {\r\n      \"role\": \"user\",\r\n      \"content\": \"Extract the product name and price from the HTML and return them under \\\"metadata\\\": { \\\"name\\\": \\\"...\\\", \\\"price\\\": \\\"...\\\" }.\r\n\r\nIdentify any promotional tags from this list:\r\n[\\\"Discount\\\", \\\"Bogo\\\", \\\"Limited-Time\\\", \\\"Clearance\\\", \\\"Bundle-Deal\\\", \\\"Seasonal-Sale\\\", \\\"Flash-Sale\\\", \\\"Free-Shipping\\\", \\\"Loyalty-Discount\\\", \\\"Coupon-Code\\\", \\\"Alert\\\"]\r\n\r\nIf there's a promotion, include the relevant tags.\r\nIf the product is or mentions gloves, add \\\"alert\\\".\r\n\r\nReturn this format:\r\n{ \\\"tags\\\": [...], \\\"metadata\\\": { \\\"name\\\": \\\"...\\\", \\\"price\\\": \\\"...\\\" } }\r\nIf no promo, return:\r\n{ \\\"tags\\\": [], \\\"metadata\\\": { \\\"name\\\": \\\"...\\\", \\\"price\\\": \\\"...\\\" } }\r\n\r\nHTML to analyze:\r\n${metadata.productDetails}\r\n\"\r\n    }\r\n  ],\r\n  \"temperature\": 0.3\r\n}",
      "mimetype_re": ".*",
      "title_re": ".*",
      "content_re": ".*",
      "tags": []
    }
  },
  {
    "model": "se.document",
    "pk": 16974,
    "fields": {
      "url": "https://demo.spreecommerce.org/products/rimmed-glasses",
      "title": "Rimmed Glasses",
      "content": "Welcome to the Spree Commerce Demo!\nRimmed Glasses\nRimmed Glasses Regular price $74.99\nSale price $54.99\nSale\nPinch to zoom\nSale\nRimmed Glasses\nRegular price $74.99\nSale price $54.99\nQuantity\nAdd To Cart\nAdd To Cart\nAdd to wishlist Remove from wishlist\nThis item is sold out\nAdd to waitlist to be notified when it is back in stock.\nEmail me about new products, sales, and more. You can unsubscribe at any time. Add to waitlist\nWelcome to your product description! This is where you grab your customers' attention and convince them why they need this amazing product. A great description does more than just list features—it tells a story, sparks interest, and helps customers imagine how this product will improve their lives.\nRead more\nYou might also like\nSale Gold-Framed Glasses Regular price $74.99 Sale price $54.99 Add to wishlist Remove from wishlist\nHorned Glasses Regular price $44.99 Add to wishlist Remove from wishlist\nSubscribe to our newsletter\nThis section lets you capture newsletter sign-ups, with all submissions conveniently recorded in the customer management area of your admin dashboard for easy access and follow-up.\n",
      "mimetype": "text/html",
      "modified_date": "2025-05-30T16:17:36.435616+00:00",
      "crawl_first": "2025-05-30T16:17:36.435616+00:00",
      "crawl_last": "2025-05-31T10:33:25.484405+00:00",
      "crawl_next": null,
      "crawl_dt": null,
      "favicon": 238,
      "metadata": {
        "name": "Rimmed Glasses",
        "price": "$54.99"
      },
      "show_on_homepage": false,
      "has_html_snapshot": false,
      "screenshot_count": 3,
      "screenshot_format": "jpg",
      "screenshot_size": "1920x1080",
      "has_thumbnail": false,
      "tags": [
        449,
        445
      ],
      "webhooks_result": {
        "10": {
          "error": null,
          "response": "{\n  \"id\": \"chatcmpl-BdDor3LLJpktrG4s7TDHGyGZzrie8\",\n  \"object\": \"chat.completion\",\n  \"created\": 1748687613,\n  \"model\": \"gpt-4.1-2025-04-14\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"{\\n  \\\"tags\\\": [\\\"discount\\\"],\\n  \\\"metadata\\\": {\\n    \\\"name\\\": \\\"Rimmed Glasses\\\",\\n    \\\"price\\\": \\\"$54.99\\\"\\n  }\\n}\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 7851,\n    \"completion_tokens\": 36,\n    \"total_tokens\": 7887,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_51e1070cf2\"\n}\n",
          "status_code": 200,
          "status_string": "OK"
        }
      }
    }
  },
  {
    "model": "se.document",
    "pk": 16973,
    "fields": {
      "url": "https://demo.spreecommerce.org/products/horned-glasses",
      "title": "Horned Glasses",
      "content": "Welcome to the Spree Commerce Demo!\nHorned Glasses\nHorned Glasses Regular price $44.99\nPinch to zoom\nHorned Glasses\nRegular price $44.99\nQuantity\nAdd To Cart\nAdd To Cart\nAdd to wishlist Remove from wishlist\nThis item is sold out\nAdd to waitlist to be notified when it is back in stock.\nEmail me about new products, sales, and more. You can unsubscribe at any time. Add to waitlist\nWelcome to your product description! This is where you grab your customers' attention and convince them why they need this amazing product. A great description does more than just list features—it tells a story, sparks interest, and helps customers imagine how this product will improve their lives.\nRead more\nYou might also like\nSale Gold-Framed Glasses Regular price $74.99 Sale price $54.99 Add to wishlist Remove from wishlist\nSale Rimmed Glasses Regular price $74.99 Sale price $54.99 Add to wishlist Remove from wishlist\nSubscribe to our newsletter\nThis section lets you capture newsletter sign-ups, with all submissions conveniently recorded in the customer management area of your admin dashboard for easy access and follow-up.\n",
      "mimetype": "text/html",
      "modified_date": "2025-05-30T16:17:27.532767+00:00",
      "crawl_first": "2025-05-30T16:17:27.532767+00:00",
      "crawl_last": "2025-05-31T10:33:51.313010+00:00",
      "crawl_next": null,
      "crawl_dt": null,
      "favicon": 238,
      "metadata": {
        "name": "Horned Glasses",
        "price": "$44.99"
      },
      "show_on_homepage": false,
      "has_html_snapshot": false,
      "screenshot_count": 3,
      "screenshot_format": "jpg",
      "screenshot_size": "1920x1080",
      "has_thumbnail": false,
      "webhooks_result": {
        "10": {
          "error": null,
          "response": "{\n  \"id\": \"chatcmpl-BdDpFQjbV2p8RgGp5n64ydKIe8c9v\",\n  \"object\": \"chat.completion\",\n  \"created\": 1748687637,\n  \"model\": \"gpt-4.1-2025-04-14\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"{\\n  \\\"tags\\\": [],\\n  \\\"metadata\\\": {\\n    \\\"name\\\": \\\"Horned Glasses\\\",\\n    \\\"price\\\": \\\"$44.99\\\"\\n  }\\n}\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 7650,\n    \"completion_tokens\": 33,\n    \"total_tokens\": 7683,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_51e1070cf2\"\n}\n",
          "status_code": 200,
          "status_string": "OK"
        }
      }
    }
  },
  {
    "model": "se.document",
    "pk": 16972,
    "fields": {
      "url": "https://demo.spreecommerce.org/products/gold-framed-glasses",
      "title": "Gold-Framed Glasses",
      "content": "Welcome to the Spree Commerce Demo!\nGold-Framed Glasses\nGold-Framed Glasses Regular price $74.99\nSale price $54.99\nSale\nPinch to zoom\nSale\nGold-Framed Glasses\nRegular price $74.99\nSale price $54.99\nQuantity\nAdd To Cart\nAdd To Cart\nAdd to wishlist Remove from wishlist\nThis item is sold out\nAdd to waitlist to be notified when it is back in stock.\nEmail me about new products, sales, and more. You can unsubscribe at any time. Add to waitlist\nWelcome to your product description! This is where you grab your customers' attention and convince them why they need this amazing product. A great description does more than just list features—it tells a story, sparks interest, and helps customers imagine how this product will improve their lives.\nRead more\nYou might also like\nHorned Glasses Regular price $44.99 Add to wishlist Remove from wishlist\nSale Rimmed Glasses Regular price $74.99 Sale price $54.99 Add to wishlist Remove from wishlist\nSubscribe to our newsletter\nThis section lets you capture newsletter sign-ups, with all submissions conveniently recorded in the customer management area of your admin dashboard for easy access and follow-up.\n",
      "mimetype": "text/html",
      "modified_date": "2025-05-30T16:17:12.510689+00:00",
      "crawl_first": "2025-05-30T16:17:12.510689+00:00",
      "crawl_last": "2025-05-31T10:33:26.009031+00:00",
      "crawl_next": null,
      "crawl_dt": null,
      "favicon": 238,
      "metadata": {
        "name": "Gold-Framed Glasses",
        "price": "$54.99"
      },
      "show_on_homepage": true,
      "has_html_snapshot": false,
      "screenshot_count": 3,
      "screenshot_format": "jpg",
      "screenshot_size": "1920x1080",
      "tags": [
        445
      ],
      "has_thumbnail": false,
      "webhooks_result": {
        "10": {
          "error": null,
          "response": "{\n  \"id\": \"chatcmpl-BdDosg4lyT6zOf1pkJuAmXIRDjomm\",\n  \"object\": \"chat.completion\",\n  \"created\": 1748687614,\n  \"model\": \"gpt-4.1-2025-04-14\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"{\\n  \\\"tags\\\": [\\\"discount\\\", \\\"flash-sale\\\"],\\n  \\\"metadata\\\": {\\n    \\\"name\\\": \\\"Gold-Framed Glasses\\\",\\n    \\\"price\\\": \\\"$54.99\\\"\\n  }\\n}\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 7860,\n    \"completion_tokens\": 40,\n    \"total_tokens\": 7900,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_51e1070cf2\"\n}\n",
          "status_code": 200,
          "status_string": "OK"
        }
      }
    }
  }
]
